<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author ??
@description Consulta de informacion de los propietarios de un predio
@modified  pedro.garcia  21-03-2012  documentación

@param  detalleBloqueoUpdateStringParam  string que representa el componente que se debe actualizar
    para ver el detalle del bloqueo de la persona.

@param  detalleBloqueoWVParam  valor del atributo widgetVar del dialog que muestra la ventana con los
    detalles del bloqueo del predio

@version 2.0
@cu se usa dentro de la página que muestra los detalles del predio

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <p:fieldset>
        <legend>
            <h:outputText value="Propietarios y/o poseedores"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1">

            <h:panelGrid columns="5" cellspacing="7">
                <h:outputLabel value="Número predial: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{consultaPropietarios.predio.formattedNumeroPredialCompleto}" />

                <p:spacer width="14" height="0" />
                <h:panelGroup>
                    <h:outputLabel value="NIP: " styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaPropietarios.predio.nip}" />
                </h:panelGroup>
            </h:panelGrid>

            <p:dataTable var="personaPredio"
                         value="#{consultaPropietarios.predio.personaPredios}"
                         emptyMessage="No existen propietarios o poseedores asociados al predio.">
                <p:column headerText="Tipo identificación">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{personaPredio.persona.tipoIdentificacion}-#{personaPredio.persona.tipoIdentificacionValor}" />
                </p:column>

                <p:column headerText="No. identificación">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{personaPredio.persona.numeroIdentificacion}" />
                </p:column>

                <p:column headerText="DV">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{personaPredio.persona.digitoVerificacion}" />
                </p:column>

                <p:column headerText="Nombre o razón social">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{personaPredio.persona.nombre}" />
                </p:column>

                <p:column headerText="Sigla">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{personaPredio.persona.sigla}" />
                </p:column>

                <p:column headerText="Tipo propietario">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{personaPredio.tipo}" />
                </p:column>

                <p:column headerText="% participación">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{personaPredio.participacion}" />
                </p:column>

                <p:column headerText="¿Bloqueado?">
                    <p:commandLink styleClass="commandLinkStyle"
                                   title="Consulta del bloqueo del propietario"
                                   rendered="#{personaPredio.persona.bloqueada}"
                                   onstart="statusDialog2.show();"
                                   update="#{detalleBloqueoUpdateStringParam}"
                                   oncomplete="#{detalleBloqueoWVParam}.show(); statusDialog2.hide();"
                                   action="#{consultaPropietarios.cleanConsultaBloqueoPersonaMB}"
                                   value="Sí">
                        <f:setPropertyActionListener
                            target="#{consultaPropietarios.persona}"
                            value="#{personaPredio.persona}" />
                    </p:commandLink>
                    <h:outputText styleClass="outputTextStyle" value="No"
                                  rendered="#{!personaPredio.persona.bloqueada}" />
                </p:column>

                <!--p:column>
                    <f:facet name="header">
                            Justificación
                    </f:facet>
                    <p:commandLink styleClass="commandLinkStyle"
                        onclick="justificacionDlg.show()"
                        rendered="true">
                        <h:outputText styleClass="outputTextStyle"
                            value="Ver..." />
                    </p:commandLink>
                </p:column-->
            </p:dataTable>

            <h:panelGrid columns="2" cellspacing="7">
                <h:outputLabel value="Total de propietarios: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{consultaPropietarios.totalPropietarios}" />
            </h:panelGrid>
        </h:panelGrid>
    </p:fieldset>

</h:form>

